Subject: Re: bug#20070: 24.3; have commands such as downcase-region act on a rectangle region

From: Stefan Monnier <[email-masked]>
Date: Tue, 24 Mar 2015 20:37:22 -0400

> I still have doubts about the API, but anyway here is the implementation
> that (ab)uses the first arg BEG:

That looks OK, thanks.

I'm tempted to say that "r" should do (funcall region-extract-function
'positions), and fallback to passing the result as 2 separate positions
if the result is a singleton list.  Also, if we change "r" then I think
it might make sense to pass a special value in the second arg to be more
explicit then just nil (e.g. pass :split-region).

        Stefan